#!/bin/sh

# postgressql
#

DBDATA_BASE=/data/pgsql
DBDATA=$DBDATA_BASE/data

PSQL_USER=postgres
PSQL_GROUP=postgres

if [ -d $DBDATA ];then 
   _date=`date +"%Y-%m-%d-%H-%M"`
   mv $DBDATA $DBDATA_BASE/data-${_date}.back
fi
mkdir -p $DBDATA
chown ${PSQL_USER}.$PSQL_GROUP $DBDATA

echo  "Create a database installation with the.. "
su - $PSQL_USER -c "/usr/local/pgsql/bin/initdb -D $DBDATA" || exit 1

exit

mkdir -p /var/log/pgsql
chown ${PSQL_USER}.$PSQL_GROUP /var/log/pgsql
